Issue 47017 - Please improve rendering of pasted bitmaps - change to bilinear or bicubic resampling
Summary: Please improve rendering of pasted bitmaps - change to bilinear or bicubic re...
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: 680m89
Hardware: All Windows XP
: P3 Trivial with 4 votes (vote)
Target Milestone: ---
Assignee: sven.jacobi
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-08 11:36 UTC by simonbr
Modified: 2013-08-07 14:38 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
text doc showing the problem (14.65 KB, application/vnd.oasis.opendocument.text)
2005-04-08 11:38 UTC, simonbr
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description simonbr 2005-04-08 11:36:32 UTC
If I paste a bitmap from MS Paint into a document, it is apparently rendered
using sampling, while the same bitmap image, when inserted into a document as a
.BMP file, is rendered using interpolation. 

See the attached file. 

Not only is the rendering used with the pasted bitmap ugly, but if you scale the
picture then some lines become completely invisible.

All bitmap images should be rendered the same way, no matter how they were
inserted into the document!
Comment 1 simonbr 2005-04-08 11:38:52 UTC
Created attachment 24834 [details]
text doc showing the problem
Comment 2 michael.ruess 2005-04-08 13:11:53 UTC
MRU->SJ: see the smnaller scaled images on the right; the first one is displayed
very ugly
Comment 3 sven.jacobi 2005-05-12 16:39:49 UTC
sj->thb: This seems to be another anti aliasing problem that is most probably
double to anoter issue.
Comment 4 thb 2005-05-27 23:47:52 UTC
Retargeted, due to resource constraints.
Comment 5 Pedro Giffuni 2012-10-29 19:35:21 UTC
Looks like the solution is well underway.
Comment 6 Li Feng Wang 2012-11-08 08:58:57 UTC
Verified pass with build r1404513.

paste and insert to document have same effect. and scale the picture will not reflect display effect.